ebulk ingest-download tool help

  ebulk [-h|--help] [-r|--readme] [-e|--examples] <command> [<args>]
	[-d|--directory <path>] [-c|--chunk <size>]
	[-s|--storage <storage>] [-cs|--custom-storage]
	[-a|--advanced] [-dc|--discard-changes] [-dd |--set-description]

commands:
   pull    [<dataset>]   Downloads the content of the target dataset from the site into the output location
   push    [<dataset>]   Ingests the content of the input location into a target dataset on the site
   status  [<dataset>]   Lists the local changes of target dataset
   init    [<dataset>]   Sets the directory as a dataset, so add and remove operations can be performed
   add     <path>	 Marks new or modified files in path for ingestion
   remove  <path>	 Marks files in path for removal
   reset   <path>	 Resets marked files in path
   -h,  --help           Tool help
   -r,  --readme         Opens README file
   -e,  --examples       Shows some tool usage examples
   -v,  --version        Ebulk tool version
   -i,  --info           Displays information about datalake url, credentials, etc.
   store-credentials	 Stores user and password for automatic authentication
   set-data-lake-url	 Sets the data lake url where to ingest/download
   default-data-lake-url Sets the data lake url to default
   config		 Allows user to set tool automatic actions

argument:
   dataset argument	 Unique reference for the target dataset
			 If empty, current directory will be used as dataset directory and reference
			 It can only contain alphanumerics, dots ( . ), underscores ( _ ) and hyphens ( - )
			 * For download, the reference must be one of the available datasets on the site
			 * For ingestion, an existing reference will append the files to the corresponding dataset
			 * A new reference will create a new dataset on the site
			 It could be a path, then that directory will be used as dataset reference
			 e.g. pull my_directory/sample/  -->  dataset reference will be "sample"

options:
   -d,  --directory  <path>	  Besides the dataset reference, sets the dataset directory and it links that location to the reference
   -dd, --set-description	  Allows user to edit dataset description
   -c,  --chunk  <size>           Sets the chunk size (in megabytes) to split large files
   -s,  --storage  <storage>	  Uses the selected input storage from this set: [http, ftp, s3]
   -cs, --custom-storage  	  Allows user to set a new input storage
   -a,  --advanced	  	  Allows to edit the Embulk cofiguration file of the input storage
   -y,  --yes	  	  	  Enables "always yes" mode and ebulk is run assuming yes to all user inputs required
   -dc, --discard-changes	  Discards local changes by checking the remote dataset

